CMSIS-DSP: arm_dct4_instance_f32 Struct Reference

| CMSIS-DSP Version 1.10.0 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
arm_dct4_instance_f32 Struct Reference

Instance structure for the floating-point DCT4/IDCT4 function.

## Data Fields

uint16_t | N
uint16_t | Nby2
float32_t | normalize
const float32_t * | pTwiddle
const float32_t * | pCosFactor
arm_rfft_instance_f32 * | pRfft
arm_cfft_radix4_instance_f32 * | pCfft

## Field Documentation

uint16_t N

length of the DCT4.

uint16_t Nby2

half of the length of the DCT4.

float32_t normalize

normalizing factor.

arm_cfft_radix4_instance_f32* pCfft

points to the complex FFT instance.

const float32_t* pCosFactor

points to the cosFactor table.

arm_rfft_instance_f32* pRfft

points to the real FFT instance.

const float32_t* pTwiddle

points to the twiddle factor table.